For the complete documentation index, see llms.txt. This page is also available as Markdown.

Userpoint Management

Operations related to UserPoints, the root node in the Datamart graph representing a unique individual with a 360° view of all connected identifiers, profiles, activities, segments, and consents. UserPoints can be identified or anonymous, and the platform automatically performs identity resolution by merging UserPoints when common identifiers are discovered, migrating all data to the survivor UserPoint.

Relevant documentation:

Find user point quarantine status

get
/datamarts/{datamart_id}/user_points/{user_point_id}/quarantine_status
Path parameters
datamart_idinteger · int64Required
user_point_idstringRequired
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
get/datamarts/{datamart_id}/user_points/{user_point_id}/quarantine_status
GET /v1/datamarts/{datamart_id}/user_points/{user_point_id}/quarantine_status HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok",
  "data": {
    "datamart_id": 0,
    "user_point_id": "123e4567-e89b-12d3-a456-426614174000",
    "quarantined": false,
    "hyper_point": false
  }
}

Find user profiles by user point id

get
/datamarts/{datamart_id}/user_points/{user_point_identifier}/user_profiles
Path parameters
datamart_idstringRequired
user_point_identifierstringRequired

User identifier in one of the following format : - a UUID (a.k.a userpoint id) - user_point_id=xxx where xxx is a UUID - compartment_id=xxx,user_account_id=yyy - user_agent_id=xxx - email_hash=xxx

Pattern: ^([0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|user_point_id=[0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|compartment_id=\d+,user_account_id=\S+|user_account_id=\S+(,compartment_id=\d+)?|user_agent_id=\S+|email_hash=\S+)$
Query parameters
compartment_idstringOptional
is_anonymousbooleanOptionalDefault: false
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
countintegerRequired
get/datamarts/{datamart_id}/user_points/{user_point_identifier}/user_profiles
GET /v1/datamarts/{datamart_id}/user_points/{user_point_identifier}/user_profiles HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok",
  "data": [
    {
      "first_name": "text",
      "compartment_id": "text",
      "last_name": "text",
      "creation_date": "2026-01-01T00:00:00.000Z",
      "is_client": false,
      "email": "text",
      "birth_date": "2026-01-01T00:00:00.000Z",
      "user_account_id": "text"
    }
  ],
  "count": 1
}

Upsert user profile by user point id into specific compartement

put
/datamarts/{datamart_id}/user_points/{user_point_identifier}/user_profiles/compartment_id={compartment_id}
Path parameters
datamart_idstringRequired
user_point_identifierstringRequired

User identifier in one of the following format : - a UUID (a.k.a userpoint id) - user_point_id=xxx where xxx is a UUID - compartment_id=xxx,user_account_id=yyy - user_agent_id=xxx - email_hash=xxx

Pattern: ^([0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|user_point_id=[0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|compartment_id=\d+,user_account_id=\S+|user_account_id=\S+(,compartment_id=\d+)?|user_agent_id=\S+|email_hash=\S+)$
compartment_idstringRequired
Query parameters
force_replacebooleanOptional

Force replace (mutually exclusive with merge_objects)

Default: false
merge_objectsbooleanOptional

Allow deep merge of objects (mutually exclusive with force_replace)

Default: false
update_strategystring · enumOptional

new update strategy (ignore merge_objects and force_replace)

Possible values:
Body
first_namestringOptional
compartment_idstringOptional
last_namestringOptional
creation_datestring · date-timeOptional

iso8601 date time

is_clientbooleanOptionalDefault: false
emailstringOptional
birth_datestring · date-timeOptional

iso8601 date time

user_account_idstringOptional
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
put/datamarts/{datamart_id}/user_points/{user_point_identifier}/user_profiles/compartment_id={compartment_id}
PUT /v1/datamarts/{datamart_id}/user_points/{user_point_identifier}/user_profiles/compartment_id={compartment_id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 205

{
  "first_name": "text",
  "compartment_id": "text",
  "last_name": "text",
  "creation_date": "2026-01-01T00:00:00.000Z",
  "is_client": false,
  "email": "text",
  "birth_date": "2026-01-01T00:00:00.000Z",
  "user_account_id": "text"
}
{
  "status": "ok",
  "data": {
    "first_name": "text",
    "compartment_id": "text",
    "last_name": "text",
    "creation_date": "2026-01-01T00:00:00.000Z",
    "is_client": false,
    "email": "text",
    "birth_date": "2026-01-01T00:00:00.000Z",
    "user_account_id": "text"
  }
}

Upsert user profile into specific user account id

put
/datamarts/{datamart_id}/user_points/{user_point_identifier}/user_profiles/compartment_id={compartment_id}/user_account_id={user_account_id}
Path parameters
datamart_idstringRequired
user_point_identifierstringRequired

User identifier in one of the following format : - a UUID (a.k.a userpoint id) - user_point_id=xxx where xxx is a UUID - compartment_id=xxx,user_account_id=yyy - user_agent_id=xxx - email_hash=xxx

Pattern: ^([0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|user_point_id=[0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|compartment_id=\d+,user_account_id=\S+|user_account_id=\S+(,compartment_id=\d+)?|user_agent_id=\S+|email_hash=\S+)$
compartment_idstringRequired
user_account_idstringRequired
Query parameters
force_replacebooleanOptional

Force replace (mutually exclusive with merge_objects)

Default: false
merge_objectsbooleanOptional

Allow deep merge of objects (mutually exclusive with force_replace)

Default: false
update_strategystring · enumOptional

new update strategy (ignore merge_objects and force_replace)

Possible values:
Body
first_namestringOptional
compartment_idstringOptional
last_namestringOptional
creation_datestring · date-timeOptional

iso8601 date time

is_clientbooleanOptionalDefault: false
emailstringOptional
birth_datestring · date-timeOptional

iso8601 date time

user_account_idstringOptional
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
put/datamarts/{datamart_id}/user_points/{user_point_identifier}/user_profiles/compartment_id={compartment_id}/user_account_id={user_account_id}
PUT /v1/datamarts/{datamart_id}/user_points/{user_point_identifier}/user_profiles/compartment_id={compartment_id}/user_account_id={user_account_id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 205

{
  "first_name": "text",
  "compartment_id": "text",
  "last_name": "text",
  "creation_date": "2026-01-01T00:00:00.000Z",
  "is_client": false,
  "email": "text",
  "birth_date": "2026-01-01T00:00:00.000Z",
  "user_account_id": "text"
}
{
  "status": "ok",
  "data": {
    "first_name": "text",
    "compartment_id": "text",
    "last_name": "text",
    "creation_date": "2026-01-01T00:00:00.000Z",
    "is_client": false,
    "email": "text",
    "birth_date": "2026-01-01T00:00:00.000Z",
    "user_account_id": "text"
  }
}

Find user point log

get
/datamarts/{datamart_id}/user_points/{user_point_id}/logs
Path parameters
datamart_idinteger · int64Required
user_point_idstringRequired
Responses
200

Success !

application/json
first_resultintegerRequired
max_resultsintegerRequired
statusstring · enumRequiredPossible values:
totalintegerRequired
countintegerRequired
get/datamarts/{datamart_id}/user_points/{user_point_id}/logs
GET /v1/datamarts/{datamart_id}/user_points/{user_point_id}/logs HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "first_result": 1,
  "data": [
    {
      "identifier": {
        "type": "USER_ACCOUNT",
        "compartment_id": "text",
        "user_account_id": "text",
        "expiration_ts": 0
      },
      "origin_datamart_id": 0,
      "cause": {
        "transaction_call_type": "USER_ACTIVITY_SAVE",
        "activity_id": "123e4567-e89b-12d3-a456-426614174000"
      },
      "subject_user_point_id": "123e4567-e89b-12d3-a456-426614174000",
      "subject_datamart_id": 0,
      "ts": 0
    }
  ],
  "max_results": 1,
  "status": "ok",
  "total": 1,
  "count": 1
}

Delete user point

delete
/datamarts/{datamart_id}/user_points/{user_point_identifier}
Path parameters
datamart_idinteger · int64Required
user_point_identifierstringRequired

User identifier in one of the following format : - a UUID (a.k.a userpoint id) - user_point_id=xxx where xxx is a UUID - compartment_id=xxx,user_account_id=yyy - user_agent_id=xxx - email_hash=xxx

Pattern: ^([0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|user_point_id=[0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|compartment_id=\d+,user_account_id=\S+|user_account_id=\S+(,compartment_id=\d+)?|user_agent_id=\S+|email_hash=\S+)$
Responses
200

Success response

application/json
statusstring · enumRequiredPossible values:
delete/datamarts/{datamart_id}/user_points/{user_point_identifier}
DELETE /v1/datamarts/{datamart_id}/user_points/{user_point_identifier} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok"
}

Find user points

get
/datamarts/{datamart_id}/user_points
Path parameters
datamart_idinteger · int64Required
Query parameters
user_point_idstringRequired
Responses
200

Success !

application/json
max_resultsintegerRequired
statusstring · enumRequiredPossible values:
totalintegerRequired
first_resultintegerRequired
countintegerRequired
get/datamarts/{datamart_id}/user_points
GET /v1/datamarts/{datamart_id}/user_points?user_point_id=text HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "data": [
    {
      "user_point_id": "123e4567-e89b-12d3-a456-426614174000",
      "creation_ts": 0
    }
  ],
  "max_results": 1,
  "status": "ok",
  "total": 1,
  "first_result": 1,
  "count": 1
}

Last updated

Was this helpful?